Foxit PDF SDK

Public Member Functions | List of all members
FoxitPDFSDKPython2.Link Class Reference
Inheritance diagram for FoxitPDFSDKPython2.Link:

## Public Member Functions
def | Link ()
| Constructor.
def | Link (annot)
| Constructor, with parent class object. More...
def | ExecuteJavaScriptAction (javascript_action)
| Execute the JavaScript action associated with the link annotation. More...
def | GetAction ()
| Get action. More...
def | GetHighlightingMode ()
| Get highlighting mode. More...
def | GetQuadPoints ()
| Get quadrilaterals. More...
def | RemoveAction ()
| Remove action. More...
def | SetAction (action)
| Set action. More...
def | SetHighlightingMode (mode)
| Set highlighting mode. More...
def | SetQuadPoints (quad_points_array)
| Set quadrilaterals. More...
Public Member Functions inherited from FoxitPDFSDKPython2.Annot
def | Annot ()
| Constructor.
def | Annot (annot)
| Constructor, with another annotation object. More...
def | GetAppearanceStream (type, appearance_state)
| Get annotation's appearance stream with specified type and state. More...
def | GetBorderColor ()
| Get border color. More...
def | GetBorderInfo ()
| Get border information. More...
def | GetContent ()
| Get content. More...
def | GetDeviceRect (matrix)
| Get annotation rectangle in device coordinate system. More...
def | GetDict ()
| Get annotation's dictionary object. More...
def | GetDisplayMatrix (page_display_matrix)
| Get the display matrix, from [PDF coordinate system] () to targeted device coordinate system. More...
def | GetFlags ()
| Get annotation flags. More...
def | GetIndex ()
| Get the index of current annotation in the page which current annotation belongs to. More...
def | GetModifiedDateTime ()
| Get last modified date time. More...
def | GetOptionalContent ()
| Get the PDF dictionary of annotation's optional content. More...
def | GetPage ()
| Get the related PDF page. More...
def | GetRect ()
| Get rectangle, in [PDF coordinate system] (). More...
def | GetType ()
| Get actual annotation type of current annotation. More...
def | GetUniqueID ()
| Get unique ID. More...
def | HasProperty (property)
| Whether current annotation has the specified annotation's property. More...
def | IsEmpty ()
| Check whether current object is empty or not. More...
def | IsMarkup ()
| Check if current annotation is a markup annotation. More...
def | Move (rect)
| Move current annotation to a new position, specified by a new rectangle in [PDF coordinate system] (). More...
def | Move (rect, is_reset_appearance)
| Move current annotation to a new position, specified by a new rectangle in [PDF coordinate system] (). More...
def | RemoveProperty (property)
| Remove a specified annotation's property. More...
def | ResetAppearanceStream ()
| Reset appearance stream. More...
def | SetBorderColor (color)
| Set border color. More...
def | SetBorderInfo (border)
| Set border information. More...
def | SetContent (content)
| Set content. More...
def | SetFlags (flags)
| Set annotation flags. More...
def | SetModifiedDateTime (date_time)
| Set last modified date time. More...
def | SetUniqueID (unique_id)
| Set unique ID. More...

## Additional Inherited Members
Static Public Attributes inherited from FoxitPDFSDKPython2.Annot
| e_3D = _fsdk.Annot_e_3D
| Annotation type: 3D annotation. One of standard annotation in <PDF reference 1.7>.
| e_AppearanceTypeDown = _fsdk.Annot_e_AppearanceTypeDown
| Annotation's down appearance.
| e_AppearanceTypeNormal = _fsdk.Annot_e_AppearanceTypeNormal
| Annotation's normal appearance.
| e_AppearanceTypeRollover = _fsdk.Annot_e_AppearanceTypeRollover
| Annotation's rollover appearance.
| e_Caret = _fsdk.Annot_e_Caret
| Annotation type: caret annotation. One of standard annotation in <PDF reference 1.7>.
| e_Circle = _fsdk.Annot_e_Circle
| Annotation type: circle annotation. One of standard annotation in <PDF reference 1.7>.
| e_FileAttachment = _fsdk.Annot_e_FileAttachment
| Annotation type: file attachment annotation. One of standard annotation in <PDF reference 1.7>.
| e_FlagHidden = _fsdk.Annot_e_FlagHidden
| Annotation flag: hidden. More...
| e_FlagInvisible = _fsdk.Annot_e_FlagInvisible
| Annotation flag: invisible. More...
| e_FlagLocked = _fsdk.Annot_e_FlagLocked
| Annotation flag: locked. More...
| e_FlagLockedContents = _fsdk.Annot_e_FlagLockedContents
| Annotation flag: locked contents. More...
| e_FlagNoRotate = _fsdk.Annot_e_FlagNoRotate
| Annotation flag: no rotate. More...
| e_FlagNoView = _fsdk.Annot_e_FlagNoView
| Annotation flag: no view. More...
| e_FlagNoZoom = _fsdk.Annot_e_FlagNoZoom
| Annotation flag: no zoom. More...
| e_FlagPrint = _fsdk.Annot_e_FlagPrint
| Annotation flag: print. More...
| e_FlagReadOnly = _fsdk.Annot_e_FlagReadOnly
| Annotation flag: read only. More...
| e_FlagToggleNoView = _fsdk.Annot_e_FlagToggleNoView
| Annotation flag: toggle no view. More...
| e_FreeText = _fsdk.Annot_e_FreeText
| Annotation type: free text annotation. One of standard annotation in <PDF reference 1.7>.
| e_Highlight = _fsdk.Annot_e_Highlight
| Annotation type: highlight annotation. One of standard annotation in <PDF reference 1.7>.
| e_HighlightingInvert = _fsdk.Annot_e_HighlightingInvert
| Highlighting mode: Invert, which is to invert the contents of the annotation rectangle.
| e_HighlightingNone = _fsdk.Annot_e_HighlightingNone
| Highlighting mode: No highlighting.
| e_HighlightingOutline = _fsdk.Annot_e_HighlightingOutline
| Highlighting mode: Outline, which is to invert the annotation's border.
| e_HighlightingPush = _fsdk.Annot_e_HighlightingPush
| Highlighting mode: Push, which is to display the annotation's down appearance, if any.
| e_HighlightingToggle = _fsdk.Annot_e_HighlightingToggle
| Highlighting mode: Toggle. This is only useful for widget annotation.
| e_Ink = _fsdk.Annot_e_Ink
| Annotation type: ink annotation. One of standard annotation in <PDF reference 1.7>.
| e_Line = _fsdk.Annot_e_Line
| Annotation type: line annotation. One of standard annotation in <PDF reference 1.7>.
| e_Link = _fsdk.Annot_e_Link
| Annotation type: link annotation. One of standard annotation in <PDF reference 1.7>.
| e_MKEntryBackgroundColor = _fsdk.Annot_e_MKEntryBackgroundColor
| Background color entry. "BG" in MK dictionary.
| e_MKEntryBorderColor = _fsdk.Annot_e_MKEntryBorderColor
| Border color entry. "BC" in MK dictionary.
| e_MKEntryDownCaption = _fsdk.Annot_e_MKEntryDownCaption
| Down caption (or alternate caption) entry. "AC" in MK dictionary. More...
| e_MKEntryDownIcon = _fsdk.Annot_e_MKEntryDownIcon
| Down icon (or alternate icon) entry. "IX" in MK dictionary. More...
| e_MKEntryIconCaptionRelation = _fsdk.Annot_e_MKEntryIconCaptionRelation
| Icon and caption relation entry. "TP" in MK dictionary. More...
| e_MKEntryIconFit = _fsdk.Annot_e_MKEntryIconFit
| Icon fit information entry. "IF" in MK dictionary. More...
| e_MKEntryNormalCaption = _fsdk.Annot_e_MKEntryNormalCaption
| Normal caption entry. "CA" in MK dictionary. More...
| e_MKEntryNormalIcon = _fsdk.Annot_e_MKEntryNormalIcon
| Normal icon entry. "I" in MK dictionary. More...
| e_MKEntryRolloverCaption = _fsdk.Annot_e_MKEntryRolloverCaption
| Rollover caption entry. "RC" in MK dictionary. More...
| e_MKEntryRolloverIcon = _fsdk.Annot_e_MKEntryRolloverIcon
| Rollover icon entry. "RI" in MK dictionary. More...
| e_MKEntryRotation = _fsdk.Annot_e_MKEntryRotation
| Rotation entry. "R" in MK dictionary.
| e_MKRelationCaptionAboveIcon = _fsdk.Annot_e_MKRelationCaptionAboveIcon
| Caption above the icon.
| e_MKRelationCaptionBelowIcon = _fsdk.Annot_e_MKRelationCaptionBelowIcon
| Caption below the icon.
| e_MKRelationCaptionLeft = _fsdk.Annot_e_MKRelationCaptionLeft
| Caption to the left of the icon.
| e_MKRelationCaptionOvrlayOnIcon = _fsdk.Annot_e_MKRelationCaptionOvrlayOnIcon
| Caption overlaid directly on the icon.
| e_MKRelationCaptionRight = _fsdk.Annot_e_MKRelationCaptionRight
| Caption to the right of the icon.
| e_MKRelationNoCaption = _fsdk.Annot_e_MKRelationNoCaption
| No caption; icon only.
| e_MKRelationNoIcon = _fsdk.Annot_e_MKRelationNoIcon
| No icon; captin only.
| e_Movie = _fsdk.Annot_e_Movie
| Annotation type: movie annotation. One of standard annotation in <PDF reference 1.7>.
| e_Note = _fsdk.Annot_e_Note
| Annotation type: note annotation, which is just "Text" annotation - one of standard annotation in <PDF reference 1.7>.
| e_PagingSeal = _fsdk.Annot_e_PagingSeal
| Annotation type: paging seal annotation. A Foxit PDF SDK custom annotation type (not a standard annotation type).
| e_Polygon = _fsdk.Annot_e_Polygon
| Annotation type: polygon annotation. One of standard annotation in <PDF reference 1.7>.
| e_PolyLine = _fsdk.Annot_e_PolyLine
| Annotation type: polyline annotation. One of standard annotation in <PDF reference 1.7>.
| e_Popup = _fsdk.Annot_e_Popup
| Annotation type: pop-up annotation. One of standard annotation in <PDF reference 1.7>.
| e_PrinterMark = _fsdk.Annot_e_PrinterMark
| Annotation type: printer's mark annotation. One of standard annotation in <PDF reference 1.7>.
| e_PropertyBorderColor = _fsdk.Annot_e_PropertyBorderColor
| Annotation property: border color. More...
| e_PropertyCreationDate = _fsdk.Annot_e_PropertyCreationDate
| Annotation property: creation date. More...
| e_PropertyFillColor = _fsdk.Annot_e_PropertyFillColor
| Annotation property: fill color. More...
| e_PropertyModifiedDate = _fsdk.Annot_e_PropertyModifiedDate
| Annotation property: modified date.
| e_PSInk = _fsdk.Annot_e_PSInk
| Annotation type: pressure sensitive ink annotation.
| e_Redact = _fsdk.Annot_e_Redact
| Annotation type: redact annotation.
| e_RichMedia = _fsdk.Annot_e_RichMedia
| Annotation type: rich media annotation.
| e_Screen = _fsdk.Annot_e_Screen
| Annotation type: screen annotation. One of standard annotation in <PDF reference 1.7>.
| e_Sound = _fsdk.Annot_e_Sound
| Annotation type: sound annotation. One of standard annotation in <PDF reference 1.7>.
| e_Square = _fsdk.Annot_e_Square
| Annotation type: square annotation. One of standard annotation in <PDF reference 1.7>.
| e_Squiggly = _fsdk.Annot_e_Squiggly
| Annotation type: squiggly annotation. One of standard annotation in <PDF reference 1.7>.
| e_Stamp = _fsdk.Annot_e_Stamp
| Annotation type: stamp annotation. One of standard annotation in <PDF reference 1.7>.
| e_StrikeOut = _fsdk.Annot_e_StrikeOut
| Annotation type: strikeout annotation. One of standard annotation in <PDF reference 1.7>.
| e_TrapNet = _fsdk.Annot_e_TrapNet
| Annotation type: trap network annotation. One of standard annotation in <PDF reference 1.7>.
| e_Underline = _fsdk.Annot_e_Underline
| Annotation type: underline annotation. One of standard annotation in <PDF reference 1.7>.
| e_UnknownType = _fsdk.Annot_e_UnknownType
| Annotation type: unknown.
| e_Watermark = _fsdk.Annot_e_Watermark
| Annotation type: watermark annotation. One of standard annotation in <PDF reference 1.7>.
| e_Widget = _fsdk.Annot_e_Widget
| Annotation type: widget annotation. One of standard annotation in <PDF reference 1.7>. More...

## Detailed Description

A link annotation represents an action to be performed.
Class FoxitPDFSDKPython2.Link is derived from Annot , and offers functions to get/set link annotation's properties and reset appearance stream of a link annotation.

Note
  For a newly created link annotation, if user calls function FoxitPDFSDKPython2.Annot.ResetAppearanceStream directly without setting any other properties, the default appearance will be used:
  border width = 1.0, border style = FoxitPDFSDKPython2.BorderInfo.e_Solid , border color = 0xFFFF0000 (red), opacity = 1.0, highlighting mode = FoxitPDFSDKPython2.Annot.e_HighlightingNone .

See also
  Annot

## Constructor & Destructor Documentation

## ◆ Link()

def FoxitPDFSDKPython2.Link.Link | ( |  | annot | ) |

Constructor, with parent class object.

Parameters

  [in] | annot | Parent class object.

## Member Function Documentation

## ◆ ExecuteJavaScriptAction()

def FoxitPDFSDKPython2.Link.ExecuteJavaScriptAction | ( |  | javascript_action | ) |

Execute the JavaScript action associated with the link annotation.

Parameters

  The | executed javascript action and it should be belong to current annotation. It will execute the main JavaScript action if the value is empty.

Returns
  true means success, while false means failure.

## ◆ GetAction()

def FoxitPDFSDKPython2.Link.GetAction | ( |  | ) |

Get action.

Returns
  An action object that receives the action data. If the return value of function FoxitPDFSDKPython2.Action.IsEmpty for the returned action object is true, that means no action.

## ◆ GetHighlightingMode()

def FoxitPDFSDKPython2.Link.GetHighlightingMode | ( |  | ) |

Get highlighting mode.

Returns
  Highlighting mode value. Please refer to values starting from FoxitPDFSDKPython2.Annot.e_HighlightingNone and this would be one of these values except FoxitPDFSDKPython2.Annot.e_HighlightingToggle . -1 means no highlighting mode value is found.

## ◆ GetQuadPoints()

def FoxitPDFSDKPython2.Link.GetQuadPoints | ( |  | ) |

Get quadrilaterals.

The order of points in a quadrilateral should be:

- The first point is the point in left-top corner of the quadrilateral.
- The second point is the point in right-top corner of the quadrilateral.
- The third point is the point in left-bottom corner of the quadrilateral.
- The fourth point is the point in right-bottom corner of the quadrilateral.

Returns
  A quadrilateral points array that receives the quadrilaterals value.

## ◆ RemoveAction()

def FoxitPDFSDKPython2.Link.RemoveAction | ( |  | ) |

Remove action.

Returns
  true means success, while false means failure.

## ◆ SetAction()

def FoxitPDFSDKPython2.Link.SetAction | ( |  | action | ) |

Set action.

Parameters

  [in] | action | New action to be set. It should be valid. Currently only support following types as the new action: FoxitPDFSDKPython2.Action.e_TypeGoto , FoxitPDFSDKPython2.Action.e_TypeURI , FoxitPDFSDKPython2.Action.e_TypeJavaScript , FoxitPDFSDKPython2.Action.e_TypeNamed , FoxitPDFSDKPython2.Action.e_TypeGoToR , FoxitPDFSDKPython2.Action.e_TypeGoToE , FoxitPDFSDKPython2.Action.e_TypeSubmitForm , FoxitPDFSDKPython2.Action.e_TypeResetForm , FoxitPDFSDKPython2.Action.e_TypeHide , FoxitPDFSDKPython2.Action.e_TypeLaunch , FoxitPDFSDKPython2.Action.e_TypeImportData , FoxitPDFSDKPython2.Action.e_TypeRendition .

Returns
  None.

## ◆ SetHighlightingMode()

def FoxitPDFSDKPython2.Link.SetHighlightingMode | ( |  | mode | ) |

Set highlighting mode.

Parameters

  [in] | mode | New highlighting mode value. Please refer to values starting from FoxitPDFSDKPython2.Annot.e_HighlightingNone and this should be one of these values except FoxitPDFSDKPython2.Annot.e_HighlightingToggle .

Returns
  None.

## ◆ SetQuadPoints()

def FoxitPDFSDKPython2.Link.SetQuadPoints | ( |  | quad_points_array | ) |

Set quadrilaterals.

This property has effect on the link annotation's appearance.The order of points in a quadrilateral should be :

- The first point is the point in left-top corner of the quadrilateral.
- The second point is the point in right-top corner of the quadrilateral.
- The third point is the point in left-bottom corner of the quadrilateral.
- The fourth point is the point in right-bottom corner of the quadrilateral.

If user wants the new quadrilaterals has effect on annotation's appearance, please call function FoxitPDFSDKPython2.Annot.ResetAppearanceStream after setting quadrilaterals.

Parameters

  [in] | quad_points_array | A valid array of quadrilaterals. It should not be an empty array.

Returns
  None.